GET List customers
/
Parameters
| idrequired | string (uuid) | Service ID. |
| query status | string | One of active, pending, suspended. |
| query q | string | Up to 100 characters. |
| query plan_id | string | |
| query cursor | string | next_cursor from the previous page. |
| query limit | integer | 1 to 200. Defaults to 50. |
Response 200
| customers | array of objects or null | |
| customers[].balance_micro | integer | |
| customers[].created_at | string (date-time) | |
| customers[].custom_limits | boolean | |
| customers[].email | string | |
| customers[].id | string | |
| customers[].is_test | boolean | |
| customers[].last_used_at | string (date-time) | |
| customers[].month_requests | integer | |
| customers[].name | string | |
| customers[].plan_id | string | |
| customers[].plan_name | string | |
| customers[].status | string | One of active, pending, suspended. |
| next_cursor | string |
Example request
curl "https://microauth.com/api/v1/services/{id}/customers" \
-H "Authorization: Bearer mak_..."Example response
{
"customers": [
{
"balance_micro": 0,
"created_at": "2026-10-11T12:00:00Z",
"custom_limits": true,
"email": "string",
"id": "string",
"is_test": true,
"last_used_at": "2026-10-11T12:00:00Z",
"month_requests": 0,
"name": "string",
"plan_id": "string",
"plan_name": "string",
"status": "active"
}
],
"next_cursor": "string"
}